﻿@model PROJETMODELE.Models.VML.TP.EmballageVM
@{
    Layout = null;
}
<script src="~/Scripts/AjouterJS.js"></script>
<div id="formulaire" style="width:467px; height:300px">
    <div>Ajout</div>
  <div class="forms">
            @using (Html.BeginForm()) {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            <table>              
                 <tr>
                    <td> @Html.LabelFor(model => model.Code)</td>
                     <td>  @Html.EditorFor(model => model.Code)</td>
                </tr>
                 <tr>
                    <td> @Html.LabelFor(model => model.Description)</td>
                     <td>  @Html.EditorFor(model => model.Description)</td>
                </tr>
                <tr>
                    <td> @Html.LabelFor(model => model.Conditionnement)</td>
                     <td>  @Html.TextBoxFor(model => model.Conditionnement)</td>
                </tr>
                <tr>
                    <td> @Html.LabelFor(model => model.PU_Plastique)</td>
                     <td>  @Html.TextBoxFor(model => model.PU_Plastique)</td>
                </tr>
                <tr>
                    <td> @Html.LabelFor(model => model.PU_Bouteille)</td>
                     <td>  @Html.TextBoxFor(model => model.PU_Bouteille)</td>
                </tr>         
             </table>
               <br/>
           <p >
             <button title="Valider"  type="submit" id="jqxButton" class="btn btn-default oufbutton send"><i class="ouf-ok"></i>Valider</button>
            <button title="Annuler"  type="button" id="jqxAnnuler" class="btn btn-default oufbutton fannul"><i class="ouf-cancel"></i>Annuler</button>
        </p>
            }
</div>
</div> 

<script>
    $('#formulaire').jqxValidator({
        rules: [
            { input: '#Code', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Code', message: 'Ce champs contenir entre 1 et 50 caractères!', action: 'keyup, blur', rule: 'length=1,50' },
            { input: '#Description', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            { input: '#Description', message: 'Ce champs contenir entre 1 et 150 caractères!', action: 'keyup, blur', rule: 'length=1,150' },
            { input: '#Conditionnement', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            {
                input: '#Conditionnement', message: 'Ce champs est un nombre supérieur a 0!', action: 'keyup, blur', rule: function (input) {
                    var zippattern = /^[1-9]\d*$/;
                    return (zippattern.test(input.val()) == true);
                }
            },
            { input: '#PU_Plastique', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            {
                input: '#PU_Plastique', message: 'Ce champs est un nombre supérieur a 0!', action: 'keyup, blur', rule: function (input) {
                    var zippattern = /^[1-9]\d*(,\d+)?$/;
                    return (zippattern.test(input.val()) == true);
                }
            },
            { input: '#PU_Bouteille', message: 'Ce champs est obligatoire', action: 'keyup, blur', rule: 'required' },
            {
                input: '#PU_Bouteille', message: 'Ce champs est un nombre supérieur a 0!', action: 'keyup, blur', rule: function (input) {
                    var zippattern = /^[1-9]\d*(,\d+)?$/;
                    return (zippattern.test(input.val()) == true);
                }
            },
           
        ],
    });
    $("#Code").jqxInput({ placeHolder: "Code ... ", height: 25, width: 280, theme: "ui-redmond" });
    $("#Description").jqxInput({ placeHolder: "Description ... ", height: 25, width: 280, theme: "ui-redmond" });
    $("#Conditionnement").jqxInput({ placeHolder: "Conditionnement ... ", height: 25, width: 280, theme: "ui-redmond" });
    $("#PU_Plastique").jqxInput({ placeHolder: "PU Plastique ... ", height: 25, width: 280, theme: "ui-redmond" });
    $("#PU_Bouteille").jqxInput({ placeHolder: "PU Bouteille ... ", height: 25, width: 280, theme: "ui-redmond" });
    
  </script>